<app-loading *ngIf="isLoadingPage"></app-loading>

<div class="btnAcrossPageName">
  <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='ADD_NEW'
             nz-button nz-dropdown [nzDropdownMenu]="menuAddNew" nzTrigger="click"
             *ngIf="objFunction?.edit && pageName === constant.SCREEN_MODE.CREATE"
             mbButtonText="{{'staffManager.recruit.action.addNew' | translate}}"></mb-button>
  <nz-dropdown-menu #menuAddNew="nzDropdownMenu">
    <ul nz-menu class="btn__group-add">
      <li
        nz-button
        nz-menu-item
        (click)="openAddRecruit(constant.RECRUIT_TYPE[0].value)"
      >
        <div class="menu__item">
          <em nz-icon nzType="form" nzTheme="outline"></em>
          <span>{{'staffManager.recruit.action.addRecruitNew' | translate}}</span>
        </div>
      </li>
      <li
        nz-button
        nz-menu-item
        (click)="openAddRecruit(constant.RECRUIT_TYPE[1].value)"
      >
        <div class="menu__item">
          <em nz-icon nzType="form" nzTheme="outline"></em>
          <span>{{'staffManager.recruit.action.addRecruitOS' | translate}}</span>
        </div>
      </li>
      <li
        nz-menu-item
        nz-button
        (click)="openAddRecruit(constant.RECRUIT_TYPE[2].value)"
      >
        <div class="menu__item">
          <em nz-icon nzType="form" nzTheme="outline"></em>
          <span>{{'staffManager.recruit.action.addRecruitRehire' | translate}}</span>
        </div>
      </li>
    </ul>
  </nz-dropdown-menu>
  <mb-button
    nz-dropdown [nzDropdownMenu]="menuImport" nzTrigger="click"
    mbButtonSize="MEDIUM"
    mbButtonAvailableStyle="IMPORT"
    *ngIf="objFunction?.edit && pageName === constant.SCREEN_MODE.CREATE"
    mbButtonText="{{'staffManager.recruit.importRecruit' | translate}}"
  >
  </mb-button>
  <nz-dropdown-menu #menuImport="nzDropdownMenu">
    <ul nz-menu style='padding: 0' class="btn__group-add">
      <li
        nz-button
        nz-menu-item
        (click)="doImportData(constant.RECRUIT_TYPE[0].value)"
      >
        <div class="menu__item">
          <em nz-icon nzType="upload" nzTheme="outline"></em>
          <span>{{'staffManager.recruit.action.addRecruitNew' | translate}}</span>
        </div>
      </li>
      <li
        nz-menu-item
        nz-button
        (click)="doImportData(constant.RECRUIT_TYPE[1].value)"
      >
        <div class="menu__item">
          <em nz-icon nzType="upload" nzTheme="outline"></em>
          <span>{{'staffManager.recruit.action.addRecruitOS' | translate}}</span>
        </div>
      </li>
    </ul>
  </nz-dropdown-menu>
</div>

<div class="content__item content__item--border bg__content--default">
  <app-search-form #searchForm
                   (keyup.enter)='doSearch(1, true)'
                   [showApprovalStatus]="true"
                   [isApproval]="pageName === constant.SCREEN_MODE.APPROVAL"
                   [functionCode]="functionCodeOrg"
  ></app-search-form>


  <div nz-row class="btn__row">
    <div nz-col nzSpan="8"></div>

    <div nz-col nzSpan="8">
      <div style="text-align: center">
        <mb-button

          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)="doSearch(1, true)"
          mbButtonText="{{'staffManager.label.search' | translate}}"
        ></mb-button>
        <mb-button
          mbButtonSize="MEDIUM"
          mbButtonType="BORDER"
          (click)="doExportData()"
        >
          <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
        </mb-button>
      </div>
    </div>
    <div nz-col nzSpan="8"></div>
  </div>
</div>



<div class='search__result'>
  <mb-table-merge-cell-wrap [tableConfig]="tableConfig">
    <div class="headerTableSelect">
      <mb-button
        (click)='sendBrowsingAll()'
        mbButtonSize='SMALL'
        mbButtonAvailableStyle='PRIMARY'
        mbButtonText="{{'staffManager.recruit.action.sendBrowsingAll' | translate}}"
        *ngIf="objFunction?.edit && isShowSendBrowsingAll && pageName === constant.SCREEN_MODE.CREATE"
      ></mb-button>
      <mb-button
        (click)='sendBrowsingByList(recruitType)'
        mbButtonSize='SMALL'
        mbButtonAvailableStyle='PRIMARY'
        mbButtonText="{{'staffManager.recruit.action.sendBrowsing' | translate}}"
        *ngIf="objFunction?.edit && listRecordId.length > 0 && pageName === constant.SCREEN_MODE.CREATE"
      ></mb-button>
      <mb-button
        *ngIf="listRecordId.length > 0 && objFunction?.approve && pageName === constant.SCREEN_MODE.APPROVAL"
        (click)='approveByList(recruitType)'
        mbButtonSize='SMALL'
        mbButtonAvailableStyle='PRIMARY'
        mbButtonText="{{'staffManager.label.approve' | translate}}"
      ></mb-button>
      <mb-button
        *ngIf="listRecordId.length > 0 && objFunction?.approve && pageName === constant.SCREEN_MODE.APPROVAL"
        (click)="openRejectByList()"
        mbButtonSize='SMALL'
        mbButtonAvailableStyle='DANGER'
        mbButtonText="{{'staffManager.label.reject' | translate}}"
      ></mb-button>
    </div>
    <div>
      <p *ngIf="listRecordId.length > 0" class="text__selected">{{'staffManager.label.selected' | translate}}: {{listRecordId.length}}</p>
    </div>
    <mb-table-merge-cell
              (changePageNum)='doSearch($event)'
              (dblClickRow)="onDblClickRow($event)"
              [tableConfig]='tableConfig' [dataList]='searchResult'></mb-table-merge-cell>
  </mb-table-merge-cell-wrap>
</div>

<app-import-file [showContent]='isImportData'
                 (onCloseModal)="doCloseImport($event)"
                 [urlApiDownloadTemp]='urlApiDownloadTemp'
                 [urlApiImport]='urlApiImport'
                 (loadPage)="onLoadPage($event)"
                 (sendListConfirm)="checkListConfirm($event)"
                 [showAttachFile]="showAttachFile"
                 [requiredAttachFile]="requiredAttachFile"
>
</app-import-file>

<app-reject-common
  [urlRejectById]="getUrlReject(recruitType, false)"
  [urlRejectByList]="getUrlReject(recruitType, true)"
  [isReject]="isReject"
  [listDraftId]="listRecordId"
  [isRejectList]="isRejectList"
  [id]="recordId"
  (onCloseModal)="doCloseReject($event)"
  (resetListDraftId)="resetListCandidateId()"
></app-reject-common>

<ng-template #approvalStatusTmpl let-status='status'>
  <ng-container *ngFor="let item of constant.APPROVAL_STATUS">
    <nz-tag class="tag__status" [nzColor]="item.bgColor" [ngStyle]="{'color': item.color}" *ngIf='status?.toString() === item.value'>{{item.label | translate}}</nz-tag>
  </ng-container>
</ng-template>

<ng-template #actionTmpl let-id='recordId' let-status='status'>
  <em nz-icon
      class="menu__item--btn"
      nz-button
      nzType="more"
      nzTheme="outline"
      nzTrigger="click"
      nz-dropdown
      [nzDropdownMenu]="menu"
  ></em>
  <nz-dropdown-menu #menu="nzDropdownMenu">
    <ul nz-menu class="btn___action-group">
      <li
        nz-button
        nz-menu-item
        *ngIf="objFunction?.edit && status.toString() === constant.APPROVAL_STATUS[0].value && pageName === constant.SCREEN_MODE.CREATE"
        (click)="sendBrowsingOrCancel(id, recruitType, constant.SEND_REQUEST.YES)"
      >
        <div class="menu__item">
          <em nz-icon nzType="check" nzTheme="outline"></em>
          <span>{{'staffManager.recruit.action.sendBrowsing' | translate}}</span>
        </div>
      <li
        nz-button
        nz-menu-item
        *ngIf="objFunction?.edit && status?.toString() === constant.APPROVAL_STATUS[2].value && pageName === constant.SCREEN_MODE.CREATE"
        (click)="sendBrowsingOrCancel(id, recruitType, constant.SEND_REQUEST.CANCEL)"
      >
        <div class="menu__item">
          <em nz-icon nzType="close" nzTheme="outline"></em>
          <span>{{'staffManager.recruit.action.cancelRequest' | translate}}</span>
        </div>
      </li>
      <li
        nz-button
        nz-menu-item
        *ngIf="objFunction?.edit && status.toString() === constant.APPROVAL_STATUS[1].value &&
              recruitType === recruitNewType && pageName === constant.SCREEN_MODE.CREATE"
        (click)="confirmRecruit(id, constant.RECRUIT_TYPE_NUMBER.NEW)"
      >
        <div class="menu__item">
          <em nz-icon nzType="redo" nzTheme="outline"></em>
          <span>{{'staffManager.recruit.action.confirmRecruitNew' | translate}}</span>
        </div>
      </li>
      <li
        nz-button
        nz-menu-item
        *ngIf="objFunction?.edit && status.toString() === constant.APPROVAL_STATUS[1].value &&
              recruitType === recruitNewType && pageName === constant.SCREEN_MODE.CREATE"
        (click)="confirmRecruit(id, constant.RECRUIT_TYPE_NUMBER.REHIRE)"
      >
        <div class="menu__item">
          <em nz-icon nzType="undo" nzTheme="outline"></em>
          <span>{{'staffManager.recruit.action.confirmRecruitRehire' | translate}}</span>
        </div>
      </li>
      <li
        nz-button
        nz-menu-item
        (click)="openEditRecruitment(id, recruitType, constant.ACTION.EDIT)"
        *ngIf="getIsEdit(status)"
      >
        <div class="menu__item">
          <em nz-icon nzType="edit" nzTheme="outline"></em>
          <span>{{'staffManager.recruit.action.edit' | translate}}</span>
        </div>
      </li>
      <li
        nz-button
        nz-menu-item
        *ngIf="objFunction.view"
        (click)="openEditRecruitment(id, recruitType, constant.ACTION.DETAIL)"
      >
        <div class="menu__item">
          <em nz-icon nzType="eye" nzTheme="outline"></em>
          <span>{{'staffManager.recruit.action.detail' | translate}}</span>
        </div>
      </li>
      <li
        nz-button
        nz-menu-item
        *ngIf="objFunction.approve && status?.toString() === constant.APPROVAL_STATUS[2].value &&
                pageName === constant.SCREEN_MODE.APPROVAL"
        (click)="onApprovalById(id)"
      >
        <div class="menu__item">
          <em nz-icon nzType="check" nzTheme="outline"></em>
          <span>{{'staffManager.recruit.action.approval' | translate}}</span>
        </div>
      </li>
      <li
        nz-button
        nz-menu-item
        *ngIf="objFunction.approve && status?.toString() === constant.APPROVAL_STATUS[2].value &&
            pageName === constant.SCREEN_MODE.APPROVAL"
        (click)="onRejectById(id)"
      >
        <div class="menu__item">
          <em nz-icon nzType="close" nzTheme="outline"></em>
          <span>{{'staffManager.recruit.action.reject' | translate}}</span>
        </div>
      </li>
      <li
        nz-button
        nz-menu-item
        (click)="onDelete(id, recruitType)"
        *ngIf="objFunction?.delete && status?.toString() !== constant.APPROVAL_STATUS[3].value
               && status?.toString() !== constant.APPROVAL_STATUS[2].value"
      >
        <div class="menu__item">
          <em nz-icon nzType="delete" nzTheme="outline"></em>
          <span>{{'staffManager.recruit.action.delete' | translate}}</span>
        </div>
      </li>
    </ul>
  </nz-dropdown-menu>
</ng-template>

<ng-template #selectTmpl let-id='recordId' let-status='status'>
  <label
    nz-checkbox
    class='check__contract-proposal'
    (nzCheckedChange)='onCheckChange($event, id)'
    [nzChecked]='listRecordId.indexOf(id) > -1'
    [nzDisabled]="getDisabledCheckBox(status)"
  >
  </label>
</ng-template>

<ng-template #selectHeaderTmpl>
  <label
    nz-checkbox
    class='check__contract-proposal'
    (nzCheckedChange)='onCheckAll($event)'
    [(nzChecked)]='checkAll[pagination.pageNumber]'>
  </label>
</ng-template>

<ng-template #attachFileTmpl let-attachFileList='attachFileList' >
  <div *ngFor="let file of attachFileList">
    <a class="attach-file" (click)="doDownloadAttach(file); $event.stopPropagation();">{{file?.fileName}}</a>
  </div>
</ng-template>

<hcm-mfe-confirm-recruitment
  [showContent]="showConfirmRecruit"
  (closeModal)="onCloseModalConfirm()"
  [listConfirmRecruit]="listConfirmRecruit"
  (loadPage)="onLoadPage($event)"
>
</hcm-mfe-confirm-recruitment>
